#
# spec file for package zsync
#
# Copyright (c) 2024 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           zsync
Version:        0.6.2
Release:        27.3
Summary:        Client-side Implementation of the Rsync Algorithm over HTTP
License:        Artistic-2.0
Group:          Productivity/Networking/Other
URL:            http://zsync.moria.org.uk/
Source0:        http://zsync.moria.org.uk/download/zsync-%{version}.tar.bz2
# PATCH-FIX-OPENSUSE avoid build time in generated files for build compare
Patch0:         zsync-no-build-date.patch
# PATCH-FIX-OPENSUSE build with gcc14
Patch1:         zsync-gcc14.patch
BuildRequires:  gcc
BuildRequires:  make

%description
zsync is a implementation of rsync over HTTP. It allows updating of files from
a remote Web server without requiring a full download or a special remote
server application. It uses a metafile, which is created on the server,
to determine which parts of a file the user already has; it then downloads
the remaining parts via HTTP. No special server or Web server module is
needed. It also works with gzip files, and content on the server can be
compressed to further reduce download times.

%prep
%autosetup -p0

%build
%configure
make %{?_smp_mflags} V=1

%install
%make_install

rm -rf %{buildroot}%{_datadir}/doc

%files
%license COPYING
%doc README
%{_bindir}/%{name}
%{_bindir}/%{name}make
%{_mandir}/man1/%{name}.1%{?ext_man}
%{_mandir}/man1/%{name}make.1%{?ext_man}

%changelog
* Tue May 14 2024 Marcus Meissner <meissner@suse.com>
- zsync-gcc14.patch: fixed gcc14 build issues (some parameter type mismatches)
* Tue Feb 20 2024 Dominique Leuenberger <dimstar@opensuse.org>
- Use %%autosetup macro. Allows to eliminate the usage of deprecated
  %%patchN.
* Mon Nov  4 2019 munix9@googlemail.com
- fix build on tumbleweed
- clean-up spec file
- removed unneeded/unused zsync-devel package
* Tue Dec  6 2011 coolo@suse.com
- zsync is distributed under Artistic-2.0
* Mon Aug  1 2011 ro@suse.de
- fix license entry in spec file (bnc#675835)
* Wed Oct 20 2010 ro@suse.de
- update to 0.6.2
  - fix for using zsync client on files >2GB on 32bit systems.
  - fix redirect handling.
  - improve some edge cases dealing with unusual seed data patterns.
  - optimise by stopping reading seed files if target file is complete.
  - fix infinite loop in zsyncmake when given a truncated (invalid) .gz
  - fix --disable-profile to configure.
* Fri Sep  3 2010 cristian.rodriguez@opensuse.org
- Do not include build date in binaries
* Tue Aug 11 2009 dmacvicar@suse.de
- update to 0.6.1
* Wed Mar 25 2009 dmacvicar@suse.de
- update to 0.6
